rlpq(1)

NAME
rlpq - remote line printer queue examination program

SYNOPSIS
rlpq [-lmqNV] [-Hprinthost] [-Pprinter] [-Xproxyhost] [--debug] [--timeout=seconds] [--port=port] [ job # ... ] [ username ... ]

DESCRIPTION

rlpq uses TCP/IP to examine print queues for printers anywhere on a network. Unlike lpq, it does not require that the remote printers be explicitly known to the local system (traditionally through /etc/printcap), and thus is considerably more flexible and requires less administration.

rlpq can be used anywhere a traditional lpq might be used, and is backwards compatible with traditional BSD lpq. If rlpq is invoked as lpq, it preserves all known lpq semantics.

rlpq can be set up, installed, and used in the same two ways as rlpr(1) (that is, either with or without the rlprd(8) proxy daemon). Please see rlpr(1) for details, and to see whether you will need to use the rlprd(8) proxy daemon or not.

OPTIONS

  Environment/Setup

--debug
    Print gobs of debugging information.

-N, --no-bind
    Don't try to bind to privileged port before connecting to lpd. Please see the CONFIGURING A PROXY section in rlpr(1) for information on use of this option.

--port=number
    Select an alternate port (instead of 7290) to connect to, if using rlprd. Usually not needed.

-H, --printhost=host
    Select the host to print to (used with -P).

    Instead of using -H, one can specify the hostname directly including it with the printer name with the printer@hostname syntax.

-P, --printer=printername, --queue=printername
    Select the printer to print to (used with -H).

-X, --proxy=proxyhost, --proxyhost=proxyhost
    Select the proxy host to use, if necessary.

--timeout=seconds
    Set the inactivity timer. If the connection hangs for more than seconds seconds, then rlpq will give up. Use the special value `-1' to wait forever. Default timeout is 3 seconds.

-V, --version
    Print version and exit.

  Behavior

-l, --long
    Produce a more detailed report.

-m, --mine
    List only the jobs belonging to you.

-q, --quiet, --silent
    Quiet mode - stay quiet (except for fatal errors). When this flag is set, rlpq's return value indicates whether there are any items in the specified queue that meet the specified criteria (a return value of zero indicates success).

ENVIRONMENT VARIABLES
The following environment variables are used by rlpq:

RLPR_PRINTHOST
    Specifies the default host's queue to examine.

PRINTER or LPDEST
    Specifies the default printer to check on the host.
    First PRINTER is consulted, then LPDEST.

    Note that one can also specify the host to examine by setting printer to be printer@hostname. This may be more convenient than setting RLPR_PRINTHOST, but will confuse the traditional BSD print commands.

RLPR_PROXYHOST
    Specifies a proxy host to use, if necessary.

FILES
~/.rlprrc	Personal printer/host database
/etc/hosts.lpd	Host-based security on printhost
/etc/hosts.equiv	Host-based security on printhost
/etc/passwd	Personal identification
/etc/rlprrc	System-wide printer/host database

SEE ALSO
rlpr(1), rlprm(1), rlprd(8), rlprrc(5)

AUTHOR
meem <meem@gnu.org>

BUGS / LIMITATIONS
Due to the dynamic nature of print queues, it is possible that the actual state of the queue may have changed between the time the snapshot was generated and the output was produced.